Package org.opengis.cite.iso19142.basic.filter

# Class ResourceIdFilterTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.basic.filter.QueryFilterFixture
org.opengis.cite.iso19142.basic.filter.ResourceIdFilterTests

public class ResourceIdFilterTests extends QueryFilterFixture
Tests the response to a GetFeature request that includes a ResourceId filter predicate, which is used to identify a feature instance (or some version of it). The resource identifier maps to the standard gml:id attribute common to all features; its value is assigned by the server when the instance is created. A feature identifier cannot be reused once it has been assigned, even after the feature is deleted.

Sources

- ISO 19142:2010, Table 1: Conformance classes
- ISO 19142:2010, cl. 7.2.2: Encoding resource identifiers
- ISO 19143:2010, cl. 7.11: Object identifiers
- ISO 19143:2010, cl. A.4: Test cases for resource identification

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `dataSampler, GET_FEATURE_MINIMAL, model, temporalProperties`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceIdFilterTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `inconsistentFeatureIdentifierAndType(QName featureType)`
  [`Test`] If a feature instance identified by the RESOURCEID parameter is not of the type specified by the TYPENAMES parameter, the server shall raise an InvalidParameterValue exception where the "locator" attribute value shall be set to "RESOURCEID".
  `void`
  `twoValidFeatureIdentifiers(ProtocolBinding binding, QName featureType)`
  [`Test`] Submits a GetFeature request containing a ResourceId predicate with two resource identifiers.
  `void`
  `unknownFeatureIdentifier(ProtocolBinding binding, QName featureType)`
  [`Test`] Submits a GetFeature request containing a ResourceId predicate with an unknown feature identifier.

  ### Methods inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `buildRequestEntity, discardResponseEntity, findTemporalProperties, getModel, initQueryFilterFixture`

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceIdFilterTests

    public ResourceIdFilterTests()

- ## Method Details

  - ### twoValidFeatureIdentifiers

    public void twoValidFeatureIdentifiers(ProtocolBinding binding, QName featureType)
    [`Test`] Submits a GetFeature request containing a ResourceId predicate with two resource identifiers. The response entity must include only instances of the requested type with matching gml:id attribute values.
    Parameters:
      `binding` - The ProtocolBinding to use for this request.
      `featureType` - A QName representing the qualified name of some feature type.

  - ### unknownFeatureIdentifier

    public void unknownFeatureIdentifier(ProtocolBinding binding, QName featureType)
    [`Test`] Submits a GetFeature request containing a ResourceId predicate with an unknown feature identifier. The response entity is expected to be a wfs:FeatureCollection that has no matching feature member.
    Parameters:
      `binding` - The ProtocolBinding to use for this request (e.g. GET, POST).
      `featureType` - A QName representing the qualified name of some supported feature type.

  - ### inconsistentFeatureIdentifierAndType

    public void inconsistentFeatureIdentifierAndType(QName featureType)
    [`Test`] If a feature instance identified by the RESOURCEID parameter is not of the type specified by the TYPENAMES parameter, the server shall raise an InvalidParameterValue exception where the "locator" attribute value shall be set to "RESOURCEID".
    Parameters:
      `featureType` - A QName representing the qualified name of some feature type.
    See Also:
      - "OGC 09-025r1, cl. 7.9.2.4.1: typeNames parameter"